package com.yihu.jw.entity.hospital.survey;

import com.yihu.jw.entity.UuidIdentityEntity;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;

/**
 * Created by Trick on 2019/9/6.
 */
@Entity
@Table(name = "wlyy_survey_template_option")
public class WlyySurveyTemplateOptionDO  {

    private String id;
    private String code;
    private String templateCode;//模板编码',
    private String questionCode;//模板问题编码',关联wlyy_survey_template_question
    private String content;//选项内容',
    private Integer haveComment;//是否有备注，0没有，1有
    private Integer isRequired;//选项说明是否必填（0否 1是）',
    private Integer score;//选项分值',
    private String questionCodeNext;//下一题问题编码（问答题逻辑跳转）',
    private String questionSortNext;//下一题问题所属sort排序',
    private String del;//删除标志（1正常，0删除）',
    private Integer sort;//单题内排序',

    @Id
    @Column(name = "id", unique = true, nullable = false)
    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getTemplateCode() {
        return templateCode;
    }

    public void setTemplateCode(String templateCode) {
        this.templateCode = templateCode;
    }

    public String getQuestionCode() {
        return questionCode;
    }

    public void setQuestionCode(String questionCode) {
        this.questionCode = questionCode;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public Integer getIsRequired() {
        return isRequired;
    }

    public void setIsRequired(Integer isRequired) {
        this.isRequired = isRequired;
    }

    public Integer getScore() {
        return score;
    }

    public void setScore(Integer score) {
        this.score = score;
    }

    public String getQuestionCodeNext() {
        return questionCodeNext;
    }

    public void setQuestionCodeNext(String questionCodeNext) {
        this.questionCodeNext = questionCodeNext;
    }

    public String getQuestionSortNext() {
        return questionSortNext;
    }

    public void setQuestionSortNext(String questionSortNext) {
        this.questionSortNext = questionSortNext;
    }

    public String getDel() {
        return del;
    }

    public void setDel(String del) {
        this.del = del;
    }

    public Integer getSort() {
        return sort;
    }

    public void setSort(Integer sort) {
        this.sort = sort;
    }

    public Integer getHaveComment() {
        return haveComment;
    }

    public void setHaveComment(Integer haveComment) {
        this.haveComment = haveComment;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }
}
